## mediastreamer2 5.0.37+dfsg

=== debian/changelog ===
mediastreamer2 (1:5.0.37+dfsg-4) unstable; urgency=medium

  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Mon, 12 Sep 2022 16:53:01 +0200

mediastreamer2 (1:5.0.37+dfsg-3) experimental; urgency=medium

  * Fix arch/indep build issues.
  * Produce some better Doxygen output.

 -- Dennis Filder <d.filder@web.de>  Thu, 01 Sep 2022 19:27:30 +0000

mediastreamer2 (1:5.0.37+dfsg-2) experimental; urgency=medium

  [ Dennis Filder ]
  * Add shlibs file.
  * Fix signedness issue breaking builds on 32-bit architectures.

 -- Bernhard Schmidt <berni@debian.org>  Thu, 18 Aug 2022 18:13:44 +0200

mediastreamer2 (1:5.0.37+dfsg-1) experimental; urgency=medium

  [ Dennis Filder ]
  * New upstream release 5.0.37
  * The following features are now enabled:
    - Matroska support
    - QR Code decoding support
    - G729 Annex B (CNG) telephony codec support
    - PCAP support
    - OpenGL-based rendering under Qt (using Cogl)
  * Test suite is now excluded from the sources to save space.
  * New binary packages: libmediastreamer-doc, libmediastreamer-data and
    libmediastreamer-tools.
  * libmediastreamer-dev is now "Multi-Arch: same" again
  * Switched to debhelper-compat (= 13)
  * arch:all and arch:any packages are now buildable separately, and nodoc
    is honoured, too.

 -- Bernhard Schmidt <berni@debian.org>  Wed, 17 Aug 2022 14:05:13 +0200

mediastreamer2 (1:4.4.21-4) unstable; urgency=medium

  [ Dennis Filder ]
  * Fix FTBFS by porting to ffmpeg 5.0 API (Closes: #1004819)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 27 Jun 2022 18:08:50 +0200
