## mediastreamer2 5.1.64%2Bdfsg

=== debian/changelog ===
mediastreamer2 (1:5.1.64+dfsg-3) unstable; urgency=medium

  [ Dennis Filder ]
  * Fix FTBFS on arch-all-only builds (Closes: #1024904)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 28 Nov 2022 08:09:25 +0100

mediastreamer2 (1:5.1.64+dfsg-2) unstable; urgency=medium

  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Sun, 27 Nov 2022 17:52:15 +0100

mediastreamer2 (1:5.1.64+dfsg-1) experimental; urgency=medium

  * New upstream release 5.1.64
  * Bumped SO_VERSION due to ABI break.

 -- Dennis Filder <d.filder@web.de>  Fri, 07 Oct 2022 20:23:45 +0200
